@import 'styleguide/breakpoints';

.how-it-works-page {
  color: var(--light);
  font-size: 1.3rem;
  line-height: 2rem;

  @media (max-width: $breakpoint-md) {
    text-align: left;
  }

  &__header {
    text-align: left;

    &,
    h1 {
      font-size: 2.9rem;
    }

    > * {
      &:nth-child(2) {
        @media (min-width: $breakpoint-md) {
          text-align: right;
        }
      }
    }
  }

  &-menu {
    &,
    .btn {
      font-size: 0.6rem;

      @media (min-width: $breakpoint-md) {
        font-size: 1rem;
      }
    }
  }

  &__introduction {
    text-align: left;
    p {
      letter-spacing: 0.821053px;
      font-size: 18px;
      line-height: 29px;
      font-weight: 400;
      max-width: 404px;
    }
  }
  
  &__graph,
  &__price-decay {    
    padding-left: 0 !important;
    text-align: center;

    @media (min-width: $breakpoint-md) {
      padding-left: 4rem !important;
      text-align: right;
    }

    img {
      margin-bottom: 1rem;
    }
  }
  
  .tokens-description {
    max-width: 494px;
    font-style: normal;
    font-weight: 400;
    font-size: 22px;
    line-height: 29px;
    letter-spacing: 1.00351px;
  }

  .price-decay-description{
    max-width: 465px;
    font-style: normal;
    font-weight: 400;
    font-size: 22px;
    line-height: 29px;
    letter-spacing: 1.00351px;
  }

  &__instructions2 {
    margin-bottom: 0 !important;

    @media (min-width: $breakpoint-md) {
      text-align: center;
    }

    > * {
      margin-bottom: 2rem;

      &:last-child {
        margin-bottom: 0;
      }
    }

    .tokens-collected-header{
      display: flex;
      align-items: center;
      justify-content: center;
      margin-bottom: unset;

      h2 {
        margin-bottom: 4rem;
        max-width: 763px;
      }
    }
  }

  .row {
    margin-bottom: 4rem;

    > [class*='col'] {
      margin-bottom: 2rem;

      @media (max-width: $breakpoint-md) {
        margin-bottom: 2rem;  
      }
    }
  }

  > .row > [class*='col'] {
    @media (max-width: $breakpoint-md) {
      &:last-child {
        margin-bottom: 0;
      }
    }
  }

  h1 {
    line-height: 1em;
    margin-bottom: 0;
  }

  p {
    &:last-child {
      margin-bottom: 0;
    }
  }
}
